Bug 6981 - hard lock after loading radeon.ko and drm.ko
hard lock after loading radeon.ko and drm.ko
Status: RESOLVED WORKSFORME
Product: DRI
Classification: Unclassified
Component: DRM/other
DRI git
x86 (IA32) Linux (All)
: high normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-20 10:37 UTC by Ryan O'Hara
Modified: 2010-12-02 13:12 UTC (History)
0 users

See Also:


Attachments
Xorg.0.log (75.55 KB, text/plain)
2006-05-20 10:37 UTC, Ryan O'Hara
no flags Details
xorg.conf (4.84 KB, text/plain)
2006-05-20 10:38 UTC, Ryan O'Hara
no flags Details
lspci output (6.36 KB, text/plain)
2006-05-20 10:40 UTC, Ryan O'Hara
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan O'Hara 2006-05-20 10:37:04 UTC
Some short time after loading the radeon and drm modules I receive a hard lock
of my system.  Commenting out 'Load  "dri"' in the module section of my
xorg.conf resolves the issue.  I am aware of some issues with certain r300 chips
(I have a 9500pro), but am uncertain as to whether this is related.

Output of my lspci, xorg.conf, and Xorg.0.log to follow.
Comment 1 Ryan O'Hara 2006-05-20 10:37:50 UTC
Created attachment 5694 [details]
Xorg.0.log
Comment 2 Ryan O'Hara 2006-05-20 10:38:59 UTC
Created attachment 5695 [details]
xorg.conf
Comment 3 Ryan O'Hara 2006-05-20 10:40:38 UTC
Created attachment 5696 [details]
lspci output
Comment 4 Ryan O'Hara 2006-05-20 10:42:58 UTC
One thing of possible interest is the repeated "(**) RADEON(0):
RADEONSaveScreen(2)" in my Xorg.0.log.  With the modules loaded these messages
fill my log.
Comment 5 Michel Dänzer 2006-05-20 23:04:56 UTC
First of all, you should get xf86-video-ati 6.5.8 or 6.6.0.

Then, which version of the radeon DRM is that? (Check the kernel output after
loading the radeon module). There are known issues with versions prior to 1.24
with pretty much anything but pre-9500 cards on 32 bit systems.
Comment 6 Ryan O'Hara 2006-05-21 10:09:14 UTC
I am using gentoo's xf86-video-ati of version 6.6.0 (I've reemerged them just to
be sure) and cvs drm with dmesg output: 

[drm] Initialized radeon 1.24.0 20060225 on minor 0:
Comment 7 Jacek Poplawski 2006-05-21 20:50:39 UTC
I use Radeon 9800 Pro and to have stable DRI I must start X once with fglrx
driver, then start it with DRI driver. Without first step system crashes with DRI. 
(I think this is known issue)
Comment 8 Michel Dänzer 2006-05-21 21:07:55 UTC
(In reply to comment #6)
> I am using gentoo's xf86-video-ati of version 6.6.0

The attached log file clearly shows 6.5.7.

Anyway, as Jacek pointed out, this might be the known initialization issue with
some cards.
Comment 9 Zoltán Böszörményi 2006-05-21 21:25:18 UTC
(In reply to comment #8)
> (In reply to comment #6)
> > I am using gentoo's xf86-video-ati of version 6.6.0
> 
> The attached log file clearly shows 6.5.7.


$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.6.0-1
$ rpm -Vv xorg-x11-drv-ati
.........   /usr/lib64/xorg/modules
.........   /usr/lib64/xorg/modules/drivers
.........   /usr/lib64/xorg/modules/drivers/ati_drv.so
.........   /usr/lib64/xorg/modules/drivers/atimisc_drv.so
.........   /usr/lib64/xorg/modules/drivers/r128_drv.so
.........   /usr/lib64/xorg/modules/drivers/radeon_drv.so
.........   /usr/lib64/xorg/modules/multimedia
.........   /usr/lib64/xorg/modules/multimedia/theatre200_drv.so
.........   /usr/lib64/xorg/modules/multimedia/theatre_detect_drv.so
.........   /usr/lib64/xorg/modules/multimedia/theatre_drv.so
.........   /usr/share/hwdata/videoaliases/ati.xinf
.........   /usr/share/hwdata/videoaliases/r128.xinf
.........   /usr/share/hwdata/videoaliases/radeon.xinf
......... d /usr/share/man/man4/ati.4.gz
......... d /usr/share/man/man4/r128.4.gz
......... d /usr/share/man/man4/radeon.4.gz

So, the RPM database finds the same files on the fs it knows installed.
But:

$ grep "6\.5" /var/log/Xorg.1.log
        compiled for 7.0.0, module version = 6.5.7
(II) ATI: ATI driver (version 6.5.7) for chipsets: ati, ativga

So, the 6.6.0 ATI driver announces itself as 6.5.7.
Comment 10 Michel Dänzer 2006-05-21 21:31:45 UTC
I stand corrected. Stupid ati wrapper.
Comment 11 Zoltán Böszörményi 2006-05-21 21:56:50 UTC
(In reply to comment #10)
> I stand corrected. Stupid ati wrapper.

Is it?

$ pwd
/home/zozo/cvs/xorg/xf86-video-ati-6.6.0/src
$ grep ATI_VERSION ativersion.h
...
#define ATI_VERSION_MAJOR 6
#define ATI_VERSION_MINOR 5
#define ATI_VERSION_PATCH 7

configure.ac says 6.6.0.

The diff between 6.5.7.3 (this version comes with FC5) and 6.5.8 isn't
the same as the diff between 6.5.7.3 and 6.6.0 so I don't think
6.5.7.x was released accidentally as 6.6.0.
The ativersion.h version numbers should have been bumped, too.
Comment 12 Erik Andren 2006-07-28 10:01:48 UTC
Is this still an issue?
Comment 13 Ryan O'Hara 2006-07-29 12:36:04 UTC
Unfortunately I cannot test this bug right now. The hard drive died as a result
of this issue. I suppose I could reopen the bug, or create  a new one when I am
able to test. Which ever is the correct procedure?
Comment 14 Jerome Glisse 2006-07-29 13:53:25 UTC
Test with newer ati driver, we figured out on missing initialization things
on r300 card like your one.
Comment 15 Matt Turner 2010-12-02 13:12:11 UTC
Closing due to inactivity. Assumed fixed. Reopen if it's not fixed.